From a3934793393ed11b62b836a5e652599422aead5f Mon Sep 17 00:00:00 2001
From: Gregor Schmidt <ruby@schmidtwisser.de>
Date: Thu, 28 Jul 2011 19:29:59 +0200
Subject: [PATCH] [#441] Updating issue on comments with less undesired side
 effects

---
 app/models/journal.rb |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/app/models/journal.rb b/app/models/journal.rb
index 0b807fb..6aecfc3 100644
--- a/app/models/journal.rb
+++ b/app/models/journal.rb
@@ -28,9 +28,11 @@ class Journal < ActiveRecord::Base
   # subclasses will be given an actual class name when they are created by aaj
   #
   #  e.g. IssueJournal will get :class_name => 'Issue'
-  belongs_to :journaled, :touch => true, :class_name => 'Journal'
+  belongs_to :journaled, :class_name => 'Journal'
   belongs_to :user
 
+  after_create proc { |record| record.journaled.touch }
+
   # ActiveRecord::Base#changes is an existing method, so before serializing the +changes+ column,
   # the existing +changes+ method is undefined. The overridden +changes+ method pertained to
   # dirty attributes, but will not affect the partial updates functionality as that's based on
-- 
1.7.6

